Notices


Reply
Thread Tools
Posts: 11 | Thanked: 1 time | Joined on Dec 2008
#1
on my n810 I've tried updating with the new featured version 5.2008.43-7 and everything seems to run smooth; however, after rebooting the 'OS2008 Feature upgrade' is shown in both the 'installed applications' and 'check for updates' section (application manager)

The details tab gives me this:

Status : Broken but updateable
Category: system
Installed version: 1:5.2008.43-7
Available version: 1:5.2008.43-7
Download size: 0kb

doing a reinstall gives me an 'unable to update' error. I also tried an 'apt-get -f install' from x-term. still failing with the following error taken from the log:

# -------------------------
Upgrading osso-software-version-rx44 1:5.2008.43-7 to 1:5.2008.43-7
Setting up mce (1.7.23) ...
Starting Mode Controller Entity: mceinvoke-rc.d: initscript mce, action "start" failed.
dpkg: error processing mce (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of osso-software-version-rx44:
osso-software-version-rx44 depends on mce (= 1.7.23); however:
Package mce is not configured yet.
dpkg: error processing osso-software-version-rx44 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
mce
osso-software-version-rx44
E: Sub-process /usr/bin/dpkg returned an error code (1)
# -------------------------

I even followed the suggestions made in this tread but with no success; is there anything that will prevent me from reflashing? please give me some advice...
 
Posts: 7 | Thanked: 0 times | Joined on Aug 2008 @ Portugal
#2
Same problem here.
 
Posts: 4,030 | Thanked: 1,633 times | Joined on Jul 2007 @ nd usa
#3
 

The Following User Says Thank You to bunanson For This Useful Post:
Posts: 11 | Thanked: 1 time | Joined on Dec 2008
#4
thanks bun, I appreciate your help but actually what questions me is how to fix this issue (or even try to understand what went wrong) and recover my nit without reflashing; I'd really like to take advantage of the 'seamless update' ...if there's no easy solution I'll definitely follow your guide;
 
qgil's Avatar
Posts: 3,105 | Thanked: 11,075 times | Joined on Jul 2007 @ Mountain View (CA, USA)
#5
please file a bug in http://bugs.maemo.org with all this info
 
Posts: 22 | Thanked: 1 time | Joined on Dec 2007
#6
http://www.internettablettalk.com/fo...&highlight=apt

sudo gainroot
touch /var/lib/dpkg/available

then:
apt-get update
or:
apt-get -f install

Last edited by Ropesend; 2008-12-20 at 03:50.
 
Posts: 11 | Thanked: 1 time | Joined on Dec 2008
#7
thanks again for all your help; unfortunately the steps mentioned earlier by Ropesend didn't work out successfully. as a result I followed the suggestion from qgil and created a new bug report @ https://bugs.maemo.org/show_bug.cgi?id=3943.

so let's wait if anything can be done; in the meantime still hoping for some smart ideas helping me to come over this issue...
 

The Following User Says Thank You to brokenmind For This Useful Post:
yerga's Avatar
Posts: 696 | Thanked: 1,009 times | Joined on Mar 2006 @ Asturies, Spain
#8
Originally Posted by brokenmind View Post
thanks again for all your help; unfortunately the steps mentioned earlier by Ropesend didn't work out successfully. as a result I followed the suggestion from qgil and created a new bug report @ https://bugs.maemo.org/show_bug.cgi?id=3943.

so let's wait if anything can be done; in the meantime still hoping for some smart ideas helping me to come over this issue...
What was the error with ropesend's instructions?

Could you try this?
1) get root
2) as root run "/etc/init.d/mce restart" and if it doesn't show any error:
3) dpkg --configure -a
__________________
Daniel Martín Yerga
maemo.org profile
Twitter
 
Posts: 11 | Thanked: 1 time | Joined on Dec 2008
#9
I'm sorry for not giving enough information, so here's the detailed output from my recent attempts...

Originally Posted by yerga View Post
What was the error with ropesend's instructions?
1) 'touch /var/lib/dpkg/available' -> success
2) 'apt-get update' -> shows this:
('apt-get -f install' -> see 1st post)

Code:
Ign http://repository.maemo.org Diablo Release.gpg
Get: 1 http://catalogue.tableteer.nokia.com diablo Release.gpg [189B]
Ign http://repository.maemo.org Diablo/Chinook Translation-en_GB
Ign http://catalogue.tableteer.nokia.com diablo/user Translation-en_GB
Ign http://repository.maemo.org Diablo/free Translation-en_GB
Ign http://catalogue.tableteer.nokia.com diablo Release.gpg
Ign http://repository.maemo.org Diablo/non-free Translation-en_GB
Ign http://catalogue.tableteer.nokia.com diablo/user Translation-en_GB
Ign http://repository.maemo.org diablo Release.gpg
Get: 2 http://catalogue.tableteer.nokia.com ./ Release.gpg [189B]
Ign http://catalogue.tableteer.nokia.com ./ Translation-en_GB
Ign http://repository.maemo.org diablo/free Translation-en_GB
Hit http://catalogue.tableteer.nokia.com diablo Release
Ign http://repository.maemo.org diablo/non-free Translation-en_GB
Ign http://repository.maemo.org chinook Release.gpg
Hit http://catalogue.tableteer.nokia.com diablo Release
Hit http://catalogue.tableteer.nokia.com ./ Release
Ign http://repository.maemo.org chinook/free Translation-en_GB
Ign http://catalogue.tableteer.nokia.com diablo/user Packages/DiffIndex
Ign http://repository.maemo.org chinook/non-free Translation-en_GB
Ign http://catalogue.tableteer.nokia.com diablo/user Packages/DiffIndex
Ign http://repository.maemo.org Diablo Release
Hit http://repository.maemo.org diablo Release
Ign http://catalogue.tableteer.nokia.com ./ Packages/DiffIndex
Hit http://repository.maemo.org chinook Release
Hit http://catalogue.tableteer.nokia.com diablo/user Packages
Err http://repository.maemo.org Diablo/Chinook Packages
  404 Not Found [IP: 193.80.200.134 80]
Hit http://catalogue.tableteer.nokia.com diablo/user Packages
Hit http://catalogue.tableteer.nokia.com ./ Packages
Err http://repository.maemo.org Diablo/free Packages
  404 Not Found [IP: 193.80.200.134 80]
Err http://repository.maemo.org Diablo/non-free Packages
  404 Not Found [IP: 193.80.200.134 80]
Ign http://repository.maemo.org diablo/free Packages/DiffIndex
Ign http://repository.maemo.org diablo/non-free Packages/DiffIndex
Ign http://repository.maemo.org chinook/free Packages/DiffIndex
Ign http://repository.maemo.org chinook/non-free Packages/DiffIndex
Hit http://repository.maemo.org diablo/free Packages
Hit http://repository.maemo.org diablo/non-free Packages
Hit http://repository.maemo.org chinook/free Packages
Hit http://repository.maemo.org chinook/non-free Packages
Fetched 2B in 7s (0B/s)
Reading package lists...
Failed to fetch http://repository.maemo.org/extras/dists/Diablo/Chinook/binary-armel/Packages.gz  404 Not Found [IP: 193.80.200.136 80]
Failed to fetch http://repository.maemo.org/extras/dists/Diablo/free/binary-armel/Packages.gz  404 Not Found [IP: 193.80.200.136 80]
Failed to fetch http://repository.maemo.org/extras/dists/Diablo/non-free/binary-armel/Packages.gz  404 Not Found [IP: 193.80.200.136 80]
Reading package lists... Done
E: Some index files failed to download, they have been ignored, or old ones used instead.
Originally Posted by yerga View Post
Could you try this?
1) get root
2) as root run "/etc/init.d/mce restart" and if it doesn't show any error:
3) dpkg --configure -a
2) ->
Code:
Restarting Mode Controller Entity: mce.
3) ->
Code:
Setting up mce (1.7.23) ...
Starting Mode Controller Entity: mceinvoke-rc.d: initscript mce, action "start" failed.
dpkg: error processing mce (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of osso-software-version-rx44:
osso-software-version-rx44 depends on mce (= 1.7.23); however:
Package mce is not configured yet.
dpkg: error processing osso-software-version-rx44 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
mce
osso-software-version-rx44
any idea? many thanks in advance...
 
tz1's Avatar
Posts: 716 | Thanked: 236 times | Joined on Dec 2007
#10
If you are using a non-busybox "ls" it will break. ("ls -Q" in an xterm - if it lists files with quotes, things will break badly - if it gives a usage message, it should be OK.).
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 03:13.